Open Infrastructure - Task #8421

Setup matrix voyager bot for ungleich
09/06/2020 05:13 PM - Nico Schottelius

Status: Rejected Start date: 09/06/2020
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

e https://github.com/turt2live/matrix-voyager-bot

Steps

Created VM 26036

Added VM into DNS: matrix-voyager-bot.ungleich.ch
Install packages

Building the bot locally

Created Idap customer "bonvoyage"

alpine try:

apk add npm sglite-dev

ubuntu try:

root@ubuntu:~# useradd -m bonvoyage

apt install git npm

Getting the access token via curl:

[17:31] bridge:~% curl —-XPOST -d '{"type":"m.login.password", "user":"@bonvoyage:ungleich.ch", "pa

ssword":"'S$ (pass ldap/bonvoyage) '"}' "https://ungleich.matrix.ungleich.cloud/_matrix/client/r0/log
in"

History

#1 - 09/06/2020 05:32 PM - Nico Schottelius
- Description updated

#2 - 09/06/2020 05:52 PM - Nico Schottelius

Fails for compiling sqlite3 on both ubuntu and alpine; updating dependencies

#3 - 09/06/2020 05:53 PM - Nico Schottelius

Error:

bonvoyage@ubuntu:~/matrix-voyager—-bot/config$ NODE_ENV=production node index.7js
internal/modules/cjs/loader.js:638
throw err;

~

Error: Cannot find module '/home/bonvoyage/matrix-voyager—bot/config/index.js'
at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
at Function.Module._load (internal/modules/cjs/loader.js:562:25)
at Function.Module.runMain (internal/modules/cjs/loader.js:831:12)
at startup (internal/bootstrap/node.js:283:19)
at bootstrapNodeJdSCore (internal/bootstrap/node. js:623:3)
bonvoyage@ubuntu: ~/matrix-voyager—-bot/config$

#4 - 09/06/2020 05:56 PM - Nico Schottelius

e Starting in right dierctly works

#5 - 01/02/2024 02:02 PM - Nico Schottelius

- Status changed from In Progress to Rejected
